Excellent Addon - Have issues with FF3.6 Rated 5 out of 5 stars

Hi, thanks for such an excellent add-on, very simple and useful.

Doing some tests, I have noticed that:
- If the add-on is installed on a previous version of Firefox (3.5.7) it works perfectly and you can update to 3.6 without problems.
- The addon doesn't work if installed on Firefox 3.6 (fresh install or update)

This review is for a previous version of the add-on (1.1.3).